| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ModifyLogServerRequest Struct Reference
LoggingService

Modify LogServer request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | Name
| Logging Server name. More...
xsd__string | Address
| Logging Server address. More...
int * | Port
| The port for the Logging Server required: false. More...
enum unsp__LogServerProtocol * | Protocol
| Protocol for the Logging Server required: false default value[range]: LogServerProtocolHttp by default. More...
enum unsp__LogServerWebService * | WebService
| Web Service for the Logging Server required: false default value[range]: LogServerWebServiceSOAP by default. More...
enum unsp__LogServerSchema * | Schema
| Schema Version for the Logging Server required: false default value[range]: LogServerSchemaV2 by default. More...

## Detailed Description

Modify LogServer request.

Used by unsp__ModifyLogServer()

## Member Data Documentation

## ◆ Address

xsd__string unsp__ModifyLogServerRequest::Address

Logging Server address.

It can be IPv4, IPv6 or FQDN
required: false
default value[range]: NA [1..255]

## ◆ Name

xsd__string unsp__ModifyLogServerRequest::Name

Logging Server name.

required: true
default value[range]: NA [1..15]

## ◆ OperatorId

xsd__string unsp__ModifyLogServerRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Port

int* unsp__ModifyLogServerRequest::Port

The port for the Logging Server
required: false.

## ◆ Protocol

enum unsp__LogServerProtocol* unsp__ModifyLogServerRequest::Protocol

Protocol for the Logging Server
required: false
default value[range]: LogServerProtocolHttp by default.

## ◆ Schema

enum unsp__LogServerSchema* unsp__ModifyLogServerRequest::Schema

Schema Version for the Logging Server
required: false
default value[range]: LogServerSchemaV2 by default.

## ◆ WebService

enum unsp__LogServerWebService* unsp__ModifyLogServerRequest::WebService

Web Service for the Logging Server
required: false
default value[range]: LogServerWebServiceSOAP by default.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h